usciti ieri i driver ati 8.2

15 risposte [Ultimo messaggio]
Ritratto di gundam
gundam
(Geek)
Offline
Geek
Iscritto: 01/02/2007
Messaggi: 92

Sono usciti da poco i driver proprietari 8.2.
li trovate qui.

Appena provati vi faccio sapere

Mandriva 2008.0
Asus P5B-VM - Core 2 Duo E6300 - Ati X1950PRO - 4Gb RAM

Ritratto di sukoy
sukoy
(Junior)
Offline
Junior
Iscritto: 04/02/2008
Messaggi: 30

Ciao...ho provato ad installarli...riavvio il sistema e tutto il sistema 3d risulta disattivato...quando provo ad avviare il control center mi dice che nessuno driver è stato installato..li ho provati con un ati 9800 pro...che ne pensi?

Ritratto di Moreno
Moreno
(Guru)
Offline
Guru
Iscritto: 24/09/2004
Messaggi: 16862

Ciao

A dire il vero la notizia è già alquanto vecchiotta ed i driver sono già disponibili nei mirror di Mandriva Cooker (Beta 2) e in quello di MIB.

[postedit]
Hops, non avevo notato che il primo post era del 14/02
[/postedit]

Ciao Ciao, Moreno

Addio, e grazie per tutto il pesce.
Avatar by moonlight-dream.

Ritratto di sukoy
sukoy
(Junior)
Offline
Junior
Iscritto: 04/02/2008
Messaggi: 30

Ho installato la mandriva one 2008 quando cerco di far partire qaule gioco tipo enemy territory od altro mi dice che mancano estensioni per le opengl e che quindi o il driver o la scheda video non sono compatibili.Che la scheda sia compatibili questo è certo in quanto sicuramente supporta certe estensioni...pensavo a questo punto che fosse il driver proprietario della mandriva.

Ho scaricato quindi la versione sopra linkata ed ho provato ad installare.La prima volta da sotto interfaccia grafica...poi riavvio e il serverX si avvia ma tutto quello che è 3d sembr sì abilitato ma scatta da morire ....ho quindi pensato di disinstallare e riavviare col driver proprietario della mandriva.
Ho letto dal sito di ati che loro consigliano di disinstallare la verione dei driver presente nel sistame prima di installare la nuova....quindi io così faccio..riavvio e ovviamente X non parte a questo installo da shell i driver nuovi ati...tutto bene solo che alla fine mi fà errore e nel log mi dice di non poter installare i precompiler nel kernel o roba del genere purtroppo non posso postare il log in quanto dopo sono stato costretto a disinstallare il driver altrimenti non mi partiva più il driver propritario mandriva....

Consigli?

Ritratto di sukoy
sukoy
(Junior)
Offline
Junior
Iscritto: 04/02/2008
Messaggi: 30

Quote:

Moreno ha scritto:
Ciao

A dire il vero la notizia è già alquanto vecchiotta ed i driver sono già disponibili nei mirror di Mandriva Cooker (Beta 2) e in quello di MIB.

[postedit]
Hops, non avevo notato che il primo post era del 14/02
[/postedit]

Ciao Ciao, Moreno

Ho appena aggiunto il supporto ai vostri repo...ma non mi ha trovato nessun aggionamento disponibile per il driver ati

Ritratto di gundam
gundam
(Geek)
Offline
Geek
Iscritto: 01/02/2007
Messaggi: 92

sukoy l'errore potrebbe indicare che non ha trovato il kernel-source corretto.
Hai installato il kernel-source prima di installare i driver?

Mandriva 2008.0
Asus P5B-VM - Core 2 Duo E6300 - Ati X1950PRO - 4Gb RAM

Ritratto di sukoy
sukoy
(Junior)
Offline
Junior
Iscritto: 04/02/2008
Messaggi: 30

Quote:

gundam ha scritto:
sukoy l'errore potrebbe indicare che non ha trovato il kernel-source corretto.
Hai installato il kernel-source prima di installare i driver?

guarda ciò pensato anche io ma da nessuna parte ho letto che per installare l driver ati ci sia bisogno di avere i sorgenti del kernel installato.....anche perchè l'installer non compila nulla ma copia soltanto le librerie per quello che ho visto quindi al massimo avrebbe bisogno di qualche lbreria non degi header per installare/eseguire....cmq nel dubbio ci provo e vi faccio sapere Tongue

Ritratto di sukoy
sukoy
(Junior)
Offline
Junior
Iscritto: 04/02/2008
Messaggi: 30

Quote:

sukoy ha scritto:
Quote:
gundam ha scritto:
sukoy l'errore potrebbe indicare che non ha trovato il kernel-source corretto.
Hai installato il kernel-source prima di installare i driver?

guarda ciò pensato anche io ma da nessuna parte ho letto che per installare l driver ati ci sia bisogno di avere i sorgenti del kernel installato.....anche perchè l'installer non compila nulla ma copia soltanto le librerie per quello che ho visto quindi al massimo avrebbe bisogno di qualche lbreria non degi header per installare/eseguire....cmq nel dubbio ci provo e vi faccio sapere Tongue

k ho detto io la cazzata er installare questi driver sono necessari i sorgenti del kernel in quanto l'installer costruisce il modulo essenzialmente....io i sorgenti li ho installati ma mi dice che i file non coincidono con la verisone del kernel installato.........ecco il log di seguito....

[Message] Kernel Module : Trying to install a precompiled kernel module.
[Message] Kernel Module : Precompiled kernel module version mismatched.
[Message] Kernel Module : Found kernel module build environment, generating kernel module now.
ATI module generator V 2.0
==========================
initializing...
Error:
kernel includes at /lib/modules/2.6.22.9-desktop586-1mdv/build/include do not match current kernel.
they are versioned as ""
instead of "2.6.22.9-desktop586-1mdv".
you might need to adjust your symlinks:
- /usr/include
- /usr/src/linux
[Error] Kernel Module : Failed to compile kernel module - please consult readme.

tenete presente che [sukoy@localhost ~]$ uname -r
2.6.22.9-desktop586-1mdv

quidni il pachetto che ho installato è sicuramente giusto.
Credo che sia un probelma di link simbolici....il pachetto ha instalato tutto in /usr/src/linux-2.6.22.9-1mdv/ quindi penso che tutti i riferimenti ad include debbano fare riferimento a questa cartella?
ho un link /usr/src/llnux che punta a /usr/src/linux-2.6.22.9-1mdv
/usr/inlcude sono degli headers di non so cosa
/lib/modules/build e /lib/modules/source puntano entrambi a /usr/src/linux-2.6.22.9-1mdv come penso che sia giusto....a questo punto posso dire che il mio probelma è /usr/include che non è un link simbolico a /usr/src/linux-2.6.22.9-1mdv/include?

Ritratto di Schizoid
Schizoid
(Guru)
Offline
Guru
Iscritto: 27/10/2006
Messaggi: 695

posta gli output dei comandi rpm -qa|grep kernel e uname -a

Mandriva x64 2010.0 MIB
Acer Aspire 5935G (Core2 Duo P7450 - 4Gb RAM - Nvidia GeForce GT 130M)

Ritratto di gundam
gundam
(Geek)
Offline
Geek
Iscritto: 01/02/2007
Messaggi: 92

Secondo la mia esperienza il pacchetto corretto per il tuo kernel dovrebbe essere:

kernel-desktop586-devel-2.6.22.9-1mdv

Oppure in alternativa compilare partendo dai tuoi sorgenti /usr/src/linux-2.6.22.9-1mdv/ .

Dopo dovrebbe funzionare l'installazione del driver ati.

Mandriva 2008.0
Asus P5B-VM - Core 2 Duo E6300 - Ati X1950PRO - 4Gb RAM

Ritratto di sukoy
sukoy
(Junior)
Offline
Junior
Iscritto: 04/02/2008
Messaggi: 30

uname -a
Linux localhost 2.6.22.9-desktop586-1mdv #1 SMP Thu Sep 27 03:58:17 CEST 2007 i6

[root@localhost sukoy]# rpm -qa|grep kernel
nvidia71xx-kernel-desktop586-latest-1.0-1.20071003.7185.5mdv2008.0
nvidia96xx-kernel-2.6.22.9-desktop586-1mdv-1.0-9639.4mdv2008.0
fglrx-hd2000-kernel-2.6.22.9-desktop586-2mdv-8.41.7-3mdv2008.0
fglrx-kernel-2.6.22.18-desktop586-1mdv-8.40.4-7mdv2008.0
kernel-source-2.6.22.9-1mdv-1-1mdv2008.0
kernel-desktop586-2.6.22.9-1mdv-1-1mdv2008.0
vboxvfs-kernel-2.6.22.9-desktop586-1mdv-1.5.0-6mdv2008.0
unicorn-kernel-2.6.22.9-desktop586-1mdv-0.9.3-1mdv2008.0
fglrx-hd2000-kernel-2.6.22.9-desktop586-1mdv-8.41.7-3mdv2008.0
nvidia-current-kernel-desktop586-latest-100.14.19-1.20071003.1mdv2008.0
vboxadd-kernel-desktop586-latest-1.5.0-1.20071004.6mdv2008.0
hsfmodem-kernel-2.6.22.9-desktop586-1mdv-7.60.00.09-1mdv2008.0
madwifi-kernel-2.6.22.9-desktop586-1mdv-0.9.3.2-3mdv2008.0
nvidia71xx-kernel-2.6.22.9-desktop586-1mdv-1.0-7185.5mdv2008.0
madwifi-kernel-desktop586-latest-0.9.3.2-1.20071003.3mdv2008.0
nvidia-current-kernel-2.6.22.9-desktop586-1mdv-100.14.19-1mdv2008.0
fglrx-kernel-2.6.22.9-desktop586-2mdv-8.40.4-7mdv2008.0
kernel-desktop586-latest-2.6.22.9-1mdv2008.0
vboxvfs-kernel-desktop586-latest-1.5.0-1.20071004.6mdv2008.0
hcfpcimodem-kernel-2.6.22.9-desktop586-1mdv-1.13-1mdv2008.0
slmodem-kernel-2.6.22.9-desktop586-1mdv-2.9.11-0.20070813.2mdv2008.0
fglrx-kernel-2.6.22.9-desktop586-1mdv-8.40.4-7mdv2008.0
fglrx-hd2000-kernel-2.6.22.18-desktop586-1mdv-8.41.7-3mdv2008.0
fglrx-hd2000-kernel-2.6.22.12-desktop586-1mdv-8.41.7-3mdv2008.0
fglrx-kernel-desktop586-latest-8.40.4-1.20080216.7mdv2008.0
kernel-desktop-devel-2.6.22.9-1mdv-1-1mdv2008.0
vboxadd-kernel-2.6.22.9-desktop586-1mdv-1.5.0-6mdv2008.0
hcfpcimodem-kernel-desktop586-latest-1.13-1.20071002.1mdv2008.0
hsfmodem-kernel-desktop586-latest-7.60.00.09-1.20071004.1mdv2008.0
slmodem-kernel-desktop586-latest-2.9.11-1.20071004.0.20070813.2mdv2008.0
fglrx-hd2000-kernel-desktop586-latest-8.41.7-1.20071121.3mdv2008.0
kernel-desktop586-devel-2.6.22.9-1mdv-1-1mdv2008.0
unicorn-kernel-desktop586-latest-0.9.3-1.20071003.1mdv2008.0
nvidia96xx-kernel-desktop586-latest-1.0-1.20071003.9639.4mdv2008.0
fglrx-kernel-2.6.22.12-desktop586-1mdv-8.40.4-7mdv2008.0

ho installato il pachetto per i developer...appena finisco le partite ci rirpovo e vediamo se trova tutto Smile